<?php namespace Hugh\MultiCurl;


use Illuminate\Support\ServiceProvider;

class MultiCurlServiceProvider extends ServiceProvider {

    /**
     * @var bool
     */
    protected $defer = false;


    /**
     * @return void
     */
    public function register()
    {
        $this->app->singleton('MultiCurl', function () {
                return new MultiCurlService();
            }
        );
    }

    /**
     * @return array
     */
    public function provides()
    {
        return array('MultiCurl');
    }

}
